Subject: RE: bug#1187 closed by Stefan Monnier <[email-masked]> (Re: bug#1187: 23.0.60; Cannot read vline.el - invalid read syntax)

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Oct 2008 09:48:08 -0700

> This is an automatic notification regarding your bug report
> which was filed against the emacs package:
> 
> #1187: 23.0.60; Cannot read vline.el - invalid read syntax
> 
> It has been closed by Stefan Monnier <[email-masked]>.
> 
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Stefan 
> Monnier <[email-masked]> by replying to this email.

[Note: "replying to this email" - even Reply All, does *not* send anything to
[email-masked]. That address needs to be added by hand, apparently.]

Uh, why was this closed in the middle of debugging and a discussion about it?

 http://www.emacswiki.org/cgi-bin/emacs/download/vline.el contains
 non-ascii chars, but does not contain any coding tag, so depending on
 your coding settings, it will decode it in different ways, some of which
 will lead to load-time errors, others to incorrect behavior.
 There's nothing for Emacs to do here.
 Such uses are OK for a file you wrote for your own use, but for
 distribution to people who may use other locales, it's not.

Not too helpful. Please explain what the author needs to do to fix the file.

And does the Emacs doc perhaps need to be updated to explain that libraries that
worked in Emacs 22 might need to be modified by adding coding settings in order
to work in Emacs 23?

BTW, the URL you cite does not correspond to the file I sent, as someone pointed
out, even though the file names are the same. The problem might be the same for
both files (dunno), but the reference is incorrect. This bug report you closed
is not about the file you closed it for.